﻿namespace PaintShopSchedulingCarrierChangeOptimizer
{
     /// <summary>
     /// Optimizes carrier changes between two given rounds
     /// </summary>
     public interface ICarrierChangeOptimizer : ICarrierChangeEvaluator
    {
        /// <summary>
        /// This function optimizes the carrier changes for two given rounds <paramref name="currentRound"/> and <paramref name="nextRound"/>.
        /// It optimize the number of carrier insertions and removals between the given round and its successor.
        /// It defines which carriers should be removed/inserted directly 
        /// in the given lists <paramref name="currentRound"/> respectively <paramref name="nextRound"/>.
        /// </summary>
        /// <param name="currentRound"></param>
        /// <param name="nextRound"></param>
        void Solve(IRoundInformation currentRound,
            IRoundInformation nextRound);

    }
}
