﻿namespace PaintShopSchedulingCarrierChangeOptimizer
{
    /// <summary>
    /// DTO class to store the number of carrier changes
    /// </summary>
    internal class NumberOfCarrierChanges : INumberOfCarrierChanges
    {
        public int NumberOfCarrierRemovalsOfCurrentRound { get; }
        public int NumberOfCarrierInsertionsOfNextRound { get; }

        /// <summary>
        /// Constructor for setting the number of carrier changes
        /// </summary>
        /// <param name="numberOfCarrierRemovalsOfCurrentRound"></param>
        /// <param name="numberOfCarrierInsertionsOfNextRound"></param>
        public NumberOfCarrierChanges(int numberOfCarrierRemovalsOfCurrentRound,
            int numberOfCarrierInsertionsOfNextRound)
        {
            NumberOfCarrierRemovalsOfCurrentRound = numberOfCarrierRemovalsOfCurrentRound;
            NumberOfCarrierInsertionsOfNextRound = numberOfCarrierInsertionsOfNextRound;
        }

    }
}
