﻿using System.Collections.Generic;

namespace PaintShopSchedulingSimpleTypes
{
    /// <summary>
    /// Serializes and deserializes simple instance and simple solution objects
    /// </summary>
    public interface ISimpleInstanceSerializer
    {
        /// <summary>
        /// Deserializes a given .txt file to an algorithm solution object.
        /// </summary>
        /// <param name="instance">Instance file associated to the solution</param>
        /// <param name="fileName">The path to the .txt file</param>
        /// <returns>The deserialized solution object</returns>
        ISimpleSolution DeserializeSolutionFromTextFile(SimpleInstance instance, string fileName);

        /// <summary>
        /// Deserializes a given .txt file to an algorithm instance object.
        /// </summary>
        /// <param name="fileName">The path to the .txt</param>
        /// <returns>The deserialized instance file</returns>
        SimpleInstance DeserializeInstanceFromTxtFile(string fileName);
    }
}
