﻿using System.Collections.Generic;
using System.IO;

namespace PaintShopSchedulingSimpleTypes
{
    public class SimpleInstanceSerializer : ISimpleInstanceSerializer
    {
        private readonly ISimpleInstanceStringSerializer _simpleInstanceStringSerializer;

        public SimpleInstanceSerializer(ISimpleInstanceStringSerializer simpleInstanceStringSerializer)
        {
            _simpleInstanceStringSerializer = simpleInstanceStringSerializer;
        }

        public ISimpleSolution DeserializeSolutionFromTextFile(SimpleInstance instance, string fileName)
        {
            string solutionText = File.ReadAllText(fileName);
            return _simpleInstanceStringSerializer.DeserializeSolutionFromString(instance, solutionText);
        }

        public SimpleInstance DeserializeInstanceFromTxtFile(string fileName)
        {
            string instanceText = File.ReadAllText(fileName);
            return _simpleInstanceStringSerializer.DeserializeInstanceFromString(instanceText);
        }
    }
}
