﻿using System.Collections.Generic;

namespace PaintShopSchedulingSimpleTypes.SimpleTypes
{
    /// <summary>
    /// Simple representation of a CarrierType.
    /// </summary>
    public class SimpleCarrierType
    {
        public readonly int Id;
        public readonly ICollection<SimpleCarrierConfiguration> Configurations;

        public SimpleCarrierType(int id, IEnumerable<SimpleCarrierConfiguration> configurations = null)
        {
            Id = id;
            Configurations = (configurations != null) ? new List<SimpleCarrierConfiguration>(configurations) : new List<SimpleCarrierConfiguration>();
        }

        /// <summary>
        /// Add a Configuration to the CarrierType.
        /// </summary>
        /// <param name="c">The configuration to add.</param>
        public void AddConfiguration(SimpleCarrierConfiguration c)
        {
            Configurations.Add(c);
        }
    }
}
