﻿using System.Collections.Generic;

namespace PaintShopSchedulingSimpleTypes.SimpleTypes
{
    /// <summary>
    /// Additional information for CarrierTypes for use in SimpleInstances.
    /// </summary>
    public class SimpleCarrierTypeInformation
    {
        public readonly SimpleCarrierType CarrierType;
        public readonly int MinimumBlockSize;
        public readonly int MaximumBlockSize;
        public readonly IList<int> Availabilities;

        public SimpleCarrierTypeInformation(SimpleCarrierType carrierType,
                                     int minBlockSize,
                                     int maxBlockSize,
                                     IEnumerable<int> availabilities = null)
        {
            CarrierType = carrierType;
            MinimumBlockSize = minBlockSize;
            MaximumBlockSize = maxBlockSize;
            Availabilities = (availabilities != null) ? new List<int>(availabilities) : new List<int>();
        }
    }
}
